// Copyright 2022 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by aliasgen. DO NOT EDIT.

// Package gaming aliases all exported identifiers in package
// "cloud.google.com/go/gaming/apiv1/gamingpb".
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb.
// Please read https://github.com/googleapis/google-cloud-go/blob/main/migration.md
// for more details.
package gaming

import (
	src "cloud.google.com/go/gaming/apiv1/gamingpb"
	grpc "google.golang.org/grpc"
)

// Deprecated: Please use consts in: cloud.google.com/go/gaming/apiv1/gamingpb
const (
	GameServerClusterView_BASIC                                  = src.GameServerClusterView_BASIC
	GameServerClusterView_FULL                                   = src.GameServerClusterView_FULL
	GameServerClusterView_GAME_SERVER_CLUSTER_VIEW_UNSPECIFIED   = src.GameServerClusterView_GAME_SERVER_CLUSTER_VIEW_UNSPECIFIED
	KubernetesClusterState_AGONES_KUBERNETES_VERSION_SUPPORTED   = src.KubernetesClusterState_AGONES_KUBERNETES_VERSION_SUPPORTED
	KubernetesClusterState_AGONES_KUBERNETES_VERSION_UNSUPPORTED = src.KubernetesClusterState_AGONES_KUBERNETES_VERSION_UNSUPPORTED
	KubernetesClusterState_AGONES_NOT_INSTALLED                  = src.KubernetesClusterState_AGONES_NOT_INSTALLED
	KubernetesClusterState_AGONES_VERSION_UNRECOGNIZED           = src.KubernetesClusterState_AGONES_VERSION_UNRECOGNIZED
	KubernetesClusterState_AGONES_VERSION_UNSUPPORTED            = src.KubernetesClusterState_AGONES_VERSION_UNSUPPORTED
	KubernetesClusterState_INSTALLATION_STATE_UNSPECIFIED        = src.KubernetesClusterState_INSTALLATION_STATE_UNSPECIFIED
	KubernetesClusterState_KUBERNETES_VERSION_UNRECOGNIZED       = src.KubernetesClusterState_KUBERNETES_VERSION_UNRECOGNIZED
	KubernetesClusterState_VERSION_VERIFICATION_FAILED           = src.KubernetesClusterState_VERSION_VERIFICATION_FAILED
	OperationStatus_CLUSTER_CONNECTION                           = src.OperationStatus_CLUSTER_CONNECTION
	OperationStatus_ERROR_CODE_UNSPECIFIED                       = src.OperationStatus_ERROR_CODE_UNSPECIFIED
	OperationStatus_INTERNAL_ERROR                               = src.OperationStatus_INTERNAL_ERROR
	OperationStatus_PERMISSION_DENIED                            = src.OperationStatus_PERMISSION_DENIED
)

// Deprecated: Please use vars in: cloud.google.com/go/gaming/apiv1/gamingpb
var (
	File_google_cloud_gaming_v1_common_proto                          = src.File_google_cloud_gaming_v1_common_proto
	File_google_cloud_gaming_v1_game_server_clusters_proto            = src.File_google_cloud_gaming_v1_game_server_clusters_proto
	File_google_cloud_gaming_v1_game_server_clusters_service_proto    = src.File_google_cloud_gaming_v1_game_server_clusters_service_proto
	File_google_cloud_gaming_v1_game_server_configs_proto             = src.File_google_cloud_gaming_v1_game_server_configs_proto
	File_google_cloud_gaming_v1_game_server_configs_service_proto     = src.File_google_cloud_gaming_v1_game_server_configs_service_proto
	File_google_cloud_gaming_v1_game_server_deployments_proto         = src.File_google_cloud_gaming_v1_game_server_deployments_proto
	File_google_cloud_gaming_v1_game_server_deployments_service_proto = src.File_google_cloud_gaming_v1_game_server_deployments_service_proto
	File_google_cloud_gaming_v1_realms_proto                          = src.File_google_cloud_gaming_v1_realms_proto
	File_google_cloud_gaming_v1_realms_service_proto                  = src.File_google_cloud_gaming_v1_realms_service_proto
	GameServerClusterView_name                                        = src.GameServerClusterView_name
	GameServerClusterView_value                                       = src.GameServerClusterView_value
	KubernetesClusterState_InstallationState_name                     = src.KubernetesClusterState_InstallationState_name
	KubernetesClusterState_InstallationState_value                    = src.KubernetesClusterState_InstallationState_value
	OperationStatus_ErrorCode_name                                    = src.OperationStatus_ErrorCode_name
	OperationStatus_ErrorCode_value                                   = src.OperationStatus_ErrorCode_value
)

// Request message for GameServerClustersService.CreateGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type CreateGameServerClusterRequest = src.CreateGameServerClusterRequest

// Request message for GameServerConfigsService.CreateGameServerConfig.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type CreateGameServerConfigRequest = src.CreateGameServerConfigRequest

// Request message for
// GameServerDeploymentsService.CreateGameServerDeployment.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type CreateGameServerDeploymentRequest = src.CreateGameServerDeploymentRequest

// Request message for RealmsService.CreateRealm.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type CreateRealmRequest = src.CreateRealmRequest

// Request message for GameServerClustersService.DeleteGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeleteGameServerClusterRequest = src.DeleteGameServerClusterRequest

// Request message for GameServerConfigsService.DeleteGameServerConfig.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeleteGameServerConfigRequest = src.DeleteGameServerConfigRequest

// Request message for
// GameServerDeploymentsService.DeleteGameServerDeployment.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeleteGameServerDeploymentRequest = src.DeleteGameServerDeploymentRequest

// Request message for RealmsService.DeleteRealm.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeleteRealmRequest = src.DeleteRealmRequest

// Details of the deployed Agones fleet.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeployedFleetDetails = src.DeployedFleetDetails

// Agones fleet specification and details.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeployedFleetDetails_DeployedFleet = src.DeployedFleetDetails_DeployedFleet

// Details about the Agones autoscaler.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeployedFleetDetails_DeployedFleetAutoscaler = src.DeployedFleetDetails_DeployedFleetAutoscaler

// DeployedFleetStatus has details about the Agones fleets such as how many
// are running, how many allocated, and so on.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type DeployedFleetDetails_DeployedFleet_DeployedFleetStatus = src.DeployedFleetDetails_DeployedFleet_DeployedFleetStatus

// Request message for GameServerDeploymentsService.FetchDeploymentState.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type FetchDeploymentStateRequest = src.FetchDeploymentStateRequest

// Response message for GameServerDeploymentsService.FetchDeploymentState.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type FetchDeploymentStateResponse = src.FetchDeploymentStateResponse

// The game server cluster changes made by the game server deployment.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type FetchDeploymentStateResponse_DeployedClusterState = src.FetchDeploymentStateResponse_DeployedClusterState

// Fleet configs for Agones.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type FleetConfig = src.FleetConfig

// A game server cluster resource.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerCluster = src.GameServerCluster

// The game server cluster connection information.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerClusterConnectionInfo = src.GameServerClusterConnectionInfo
type GameServerClusterConnectionInfo_GkeClusterReference = src.GameServerClusterConnectionInfo_GkeClusterReference

// A view for GameServerCluster objects.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerClusterView = src.GameServerClusterView

// GameServerClustersServiceClient is the client API for
// GameServerClustersService service. For semantics around ctx use and
// closing/ending streaming RPCs, please refer to
// https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerClustersServiceClient = src.GameServerClustersServiceClient

// GameServerClustersServiceServer is the server API for
// GameServerClustersService service.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerClustersServiceServer = src.GameServerClustersServiceServer

// A game server config resource.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerConfig = src.GameServerConfig

// A game server config override.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerConfigOverride = src.GameServerConfigOverride
type GameServerConfigOverride_ConfigVersion = src.GameServerConfigOverride_ConfigVersion
type GameServerConfigOverride_RealmsSelector = src.GameServerConfigOverride_RealmsSelector

// GameServerConfigsServiceClient is the client API for
// GameServerConfigsService service. For semantics around ctx use and
// closing/ending streaming RPCs, please refer to
// https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerConfigsServiceClient = src.GameServerConfigsServiceClient

// GameServerConfigsServiceServer is the server API for
// GameServerConfigsService service.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerConfigsServiceServer = src.GameServerConfigsServiceServer

// A game server deployment resource.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerDeployment = src.GameServerDeployment

// The game server deployment rollout which represents the desired rollout
// state.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerDeploymentRollout = src.GameServerDeploymentRollout

// GameServerDeploymentsServiceClient is the client API for
// GameServerDeploymentsService service. For semantics around ctx use and
// closing/ending streaming RPCs, please refer to
// https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerDeploymentsServiceClient = src.GameServerDeploymentsServiceClient

// GameServerDeploymentsServiceServer is the server API for
// GameServerDeploymentsService service.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GameServerDeploymentsServiceServer = src.GameServerDeploymentsServiceServer

// Request message for GameServerClustersService.GetGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GetGameServerClusterRequest = src.GetGameServerClusterRequest

// Request message for GameServerConfigsService.GetGameServerConfig.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GetGameServerConfigRequest = src.GetGameServerConfigRequest

// Request message for GameServerDeploymentsService.GetGameServerDeployment.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GetGameServerDeploymentRequest = src.GetGameServerDeploymentRequest

// Request message for
// GameServerDeploymentsService.GetGameServerDeploymentRollout.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GetGameServerDeploymentRolloutRequest = src.GetGameServerDeploymentRolloutRequest

// Request message for RealmsService.GetRealm.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GetRealmRequest = src.GetRealmRequest

// A reference to a GKE cluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type GkeClusterReference = src.GkeClusterReference

// The state of the Kubernetes cluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type KubernetesClusterState = src.KubernetesClusterState

// The state of the installed versions of Agones/Kubernetes. See also
// https://cloud.google.com/game-servers/docs/versions-and-upgrades.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type KubernetesClusterState_InstallationState = src.KubernetesClusterState_InstallationState

// The label selector, used to group labels on the resources.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type LabelSelector = src.LabelSelector

// Request message for GameServerClustersService.ListGameServerClusters.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListGameServerClustersRequest = src.ListGameServerClustersRequest

// Response message for GameServerClustersService.ListGameServerClusters.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListGameServerClustersResponse = src.ListGameServerClustersResponse

// Request message for GameServerConfigsService.ListGameServerConfigs.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListGameServerConfigsRequest = src.ListGameServerConfigsRequest

// Response message for GameServerConfigsService.ListGameServerConfigs.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListGameServerConfigsResponse = src.ListGameServerConfigsResponse

// Request message for GameServerDeploymentsService.ListGameServerDeployments.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListGameServerDeploymentsRequest = src.ListGameServerDeploymentsRequest

// Response message for
// GameServerDeploymentsService.ListGameServerDeployments.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListGameServerDeploymentsResponse = src.ListGameServerDeploymentsResponse

// Request message for RealmsService.ListRealms.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListRealmsRequest = src.ListRealmsRequest

// Response message for RealmsService.ListRealms.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ListRealmsResponse = src.ListRealmsResponse

// Represents the metadata of the long-running operation.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type OperationMetadata = src.OperationMetadata
type OperationStatus = src.OperationStatus
type OperationStatus_ErrorCode = src.OperationStatus_ErrorCode

// Request message for
// GameServerClustersService.PreviewCreateGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewCreateGameServerClusterRequest = src.PreviewCreateGameServerClusterRequest

// Response message for
// GameServerClustersService.PreviewCreateGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewCreateGameServerClusterResponse = src.PreviewCreateGameServerClusterResponse

// Request message for
// GameServerClustersService.PreviewDeleteGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewDeleteGameServerClusterRequest = src.PreviewDeleteGameServerClusterRequest

// Response message for
// GameServerClustersService.PreviewDeleteGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewDeleteGameServerClusterResponse = src.PreviewDeleteGameServerClusterResponse

// Request message for PreviewGameServerDeploymentRollout.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewGameServerDeploymentRolloutRequest = src.PreviewGameServerDeploymentRolloutRequest

// Response message for PreviewGameServerDeploymentRollout. This has details
// about the Agones fleet and autoscaler to be actuated.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewGameServerDeploymentRolloutResponse = src.PreviewGameServerDeploymentRolloutResponse

// Request message for RealmsService.PreviewRealmUpdate.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewRealmUpdateRequest = src.PreviewRealmUpdateRequest

// Response message for RealmsService.PreviewRealmUpdate.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewRealmUpdateResponse = src.PreviewRealmUpdateResponse

// Request message for GameServerClustersService.UpdateGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewUpdateGameServerClusterRequest = src.PreviewUpdateGameServerClusterRequest

// Response message for
// GameServerClustersService.PreviewUpdateGameServerCluster
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type PreviewUpdateGameServerClusterResponse = src.PreviewUpdateGameServerClusterResponse

// A realm resource.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type Realm = src.Realm

// The realm selector, used to match realm resources.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type RealmSelector = src.RealmSelector

// RealmsServiceClient is the client API for RealmsService service. For
// semantics around ctx use and closing/ending streaming RPCs, please refer to
// https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type RealmsServiceClient = src.RealmsServiceClient

// RealmsServiceServer is the server API for RealmsService service.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type RealmsServiceServer = src.RealmsServiceServer

// Autoscaling config for an Agones fleet.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type ScalingConfig = src.ScalingConfig

// The schedule of a recurring or one time event. The event's time span is
// specified by start_time and end_time. If the scheduled event's timespan is
// larger than the cron_spec + cron_job_duration, the event will be recurring.
// If only cron_spec + cron_job_duration are specified, the event is effective
// starting at the local time specified by cron_spec, and is recurring. ```
// start_time|-------[cron job]-------[cron job]-------[cron job]---|end_time
// cron job: cron spec start time + duration ```
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type Schedule = src.Schedule

// Encapsulates Agones fleet spec and Agones autoscaler spec sources.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type SpecSource = src.SpecSource

// Details about the Agones resources.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type TargetDetails = src.TargetDetails

// Details of the target Agones fleet.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type TargetDetails_TargetFleetDetails = src.TargetDetails_TargetFleetDetails

// Target Agones fleet specification.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type TargetDetails_TargetFleetDetails_TargetFleet = src.TargetDetails_TargetFleetDetails_TargetFleet

// Target Agones autoscaler policy reference.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type TargetDetails_TargetFleetDetails_TargetFleetAutoscaler = src.TargetDetails_TargetFleetDetails_TargetFleetAutoscaler

// Encapsulates the Target state.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type TargetState = src.TargetState

// UnimplementedGameServerClustersServiceServer can be embedded to have
// forward compatible implementations.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UnimplementedGameServerClustersServiceServer = src.UnimplementedGameServerClustersServiceServer

// UnimplementedGameServerConfigsServiceServer can be embedded to have forward
// compatible implementations.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UnimplementedGameServerConfigsServiceServer = src.UnimplementedGameServerConfigsServiceServer

// UnimplementedGameServerDeploymentsServiceServer can be embedded to have
// forward compatible implementations.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UnimplementedGameServerDeploymentsServiceServer = src.UnimplementedGameServerDeploymentsServiceServer

// UnimplementedRealmsServiceServer can be embedded to have forward compatible
// implementations.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UnimplementedRealmsServiceServer = src.UnimplementedRealmsServiceServer

// Request message for GameServerClustersService.UpdateGameServerCluster.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UpdateGameServerClusterRequest = src.UpdateGameServerClusterRequest

// Request message for
// GameServerDeploymentsService.UpdateGameServerDeployment. Only allows updates
// for labels.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UpdateGameServerDeploymentRequest = src.UpdateGameServerDeploymentRequest

// Request message for
// GameServerDeploymentsService.UpdateGameServerRolloutDeployment.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UpdateGameServerDeploymentRolloutRequest = src.UpdateGameServerDeploymentRolloutRequest

// Request message for RealmsService.UpdateRealm.
//
// Deprecated: Please use types in: cloud.google.com/go/gaming/apiv1/gamingpb
type UpdateRealmRequest = src.UpdateRealmRequest

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func NewGameServerClustersServiceClient(cc grpc.ClientConnInterface) GameServerClustersServiceClient {
	return src.NewGameServerClustersServiceClient(cc)
}

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func NewGameServerConfigsServiceClient(cc grpc.ClientConnInterface) GameServerConfigsServiceClient {
	return src.NewGameServerConfigsServiceClient(cc)
}

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func NewGameServerDeploymentsServiceClient(cc grpc.ClientConnInterface) GameServerDeploymentsServiceClient {
	return src.NewGameServerDeploymentsServiceClient(cc)
}

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func NewRealmsServiceClient(cc grpc.ClientConnInterface) RealmsServiceClient {
	return src.NewRealmsServiceClient(cc)
}

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func RegisterGameServerClustersServiceServer(s *grpc.Server, srv GameServerClustersServiceServer) {
	src.RegisterGameServerClustersServiceServer(s, srv)
}

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func RegisterGameServerConfigsServiceServer(s *grpc.Server, srv GameServerConfigsServiceServer) {
	src.RegisterGameServerConfigsServiceServer(s, srv)
}

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func RegisterGameServerDeploymentsServiceServer(s *grpc.Server, srv GameServerDeploymentsServiceServer) {
	src.RegisterGameServerDeploymentsServiceServer(s, srv)
}

// Deprecated: Please use funcs in: cloud.google.com/go/gaming/apiv1/gamingpb
func RegisterRealmsServiceServer(s *grpc.Server, srv RealmsServiceServer) {
	src.RegisterRealmsServiceServer(s, srv)
}
